# -*- coding: utf-8 -*-

from __future__ import division

from django_response import response
from paginator import pagination

from registration.models import BranchCampusAdministratorInfo


def add_branch_campus_admin(request):
    campus_id = request.POST.get('campus_id', '')
    campus_name = request.POST.get('campus_name', '')
    name = request.POST.get('name', '')
    phone = request.POST.get('phone', '')

    admin = BranchCampusAdministratorInfo.objects.create(campus_id=campus_id, campus_name=campus_name, name=name, phone=phone)

    return response(data={
        'admin': admin.admin_id,
    })


def update_branch_campus_admin(request):
    admin_id = request.POST.get('admin_id', '')
    name = request.POST.get('name', '')
    phone = request.POST.get('phone', '')
    user_status = request.POST.get('user_status', 0)

    BranchCampusAdministratorInfo.objects.filter(admin_id=admin_id).update(name=name, phone=phone, user_status=user_status)

    return response()


def get_branch_campus_admin_list(request):
    page = request.POST.get('page', 1)
    num = request.POST.get('num', 20)

    admins = BranchCampusAdministratorInfo.objects.filter(status=True)
    count = admins.count()
    admins, left = pagination(admins, page, num)
    admins = [a.data for a in admins]

    return response(data={
        'admins': admins,
        'count': count,
        'left': left,
    })


def delete_branch_campus_admin(request):
    admin_id = request.POST.get('admin_id', '')

    BranchCampusAdministratorInfo.objects.filter(admin_id=admin_id).update(statue=False)

    return response()
